## speech-dispatcher 0.8.1

=== debian/changelog ===
speech-dispatcher (0.8.1-0ubuntu1) vivid; urgency=medium

  [ Samuel Thibault ]
  * control: Add myself as uploader.
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Luke Yelavich ]
  * The speech-dispatcher user should not have a shell set (Closes: #678951)
  * New upstream release
  * Dropped patches, applied upstream:
    - configurable-module-dir.patch
    - cs-docs.patch
    - espeak-mbrola-generic.conf.patch
    - fdl.patch
    - fix_spelling_errors_reported_by_lintian.patch
    - infinite-loop.patch
    - pico-generic.patch
    - spd_audio-Expose-dlopened-library-s-symbols-to-libs-.patch
    - update_documentation_with_xdg_path.patch
  * Merge with debian unstable.  Remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - Don't build depend on libaudio-dev or libao-dev, Ubuntu CD size is an
      issue, every little bit helps
    - debian/gbp.conf: Adjust for the Ubuntu git branch

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 06 Jan 2015 09:46:13 +1100

speech-dispatcher (0.8-6ubuntu2) utopic; urgency=medium

  * The speech-dispatcher user should not have a shell set (LP: #1319970)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 16 May 2014 13:26:30 +1000

speech-dispatcher (0.8-6ubuntu1) utopic; urgency=medium

  * Merge with debian unstable.  Remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - Don't build depend on libaudio-dev or libao-dev, Ubuntu CD size is an
      issue, every little bit helps
    - debian/gbp.conf: Adjust for the Ubuntu git branch

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 28 Apr 2014 15:11:12 +1000

speech-dispatcher (0.8-6) unstable; urgency=low

  * Remove dotconf 1.3 workaround as it is now available in sid

 -- Paul Gevers <elbrus@debian.org>  Mon, 17 Mar 2014 20:09:21 +0100

=== debian/control ===
Source: speech-dispatcher
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
Uploaders:
 Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends:
 automake,
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 flite1-dev (>= 1.4),
 intltool,
 libasound2-dev [linux-any],
 libdotconf-dev (>= 1.3),
 libespeak-dev,
 libglib2.0-dev,
 libltdl-dev,
 libpulse-dev,
 libtool,
 libxau-dev,
 python3,
 texinfo
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tts/speech-dispatcher.git;a=summary
Vcs-Git: git://anonscm.debian.org/tts/speech-dispatcher.git
Homepage: http://devel.freebsoft.org/speechd
X-Python-Version: >= 3.0
Standards-Version: 3.9.6

Package: speech-dispatcher
Architecture: any
Depends:
 adduser,
 lsb-base (>= 3.0-10),
 speech-dispatcher-audio-plugins (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 pulseaudio
Suggests:
 libttspico-utils,
 speech-dispatcher-doc-cs,
 speech-dispatcher-festival,
 speech-dispatcher-flite
Description: Common interface to speech synthesizers
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Speech Dispatcher itself.

Package: libspeechd2
Architecture: any
Multi-arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 multiarch-support,
 ${misc:Pre-Depends}
Description: Speech Dispatcher: Shared libraries
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a shared library needed for C programs linked with it.

Package: libspeechd-dev
Architecture: any
Section: libdevel
Priority: extra
Depends:
 libspeechd2 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 speech-dispatcher
Description: Speech Dispatcher: Development libraries and header files
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains static library, and C headers needed for programs
 linked with the shared or static library.

Package: cl-speech-dispatcher
Architecture: all
Section: lisp
Priority: extra
Depends:
 cl-regex,
 common-lisp-controller,
 ${misc:Depends}
Description: Common Lisp interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Common Lisp library for communication with Speech
 Dispatcher.

Package: python3-speechd
Architecture: all
Section: python
Priority: extra
Breaks:
 python-speechd
Replaces:
 python-speechd
Depends:
 python3-xdg,
 ${misc:Depends},
 ${python3:Depends}
Description: Python interface to Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains a Python library for communication with Speech
 Dispatcher.

Package: speech-dispatcher-festival
Architecture: any
Depends:
 festival,
 festival-freebsoft-utils (>= 0.6),
 speech-dispatcher (>= 0.6),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 speech-dispatcher (<< 0.8)
Replaces:
 speech-dispatcher (<< 0.8)
Recommends:
 sound-icons
Description: Festival support for Speech Dispatcher
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains dependencies on packages necessary for running Speech
 Dispatcher with Festival.

Package: speech-dispatcher-doc-cs
Architecture: all
Section: doc
Priority: extra
Depends:
 ${misc:Depends}
Suggests:
 speech-dispatcher
Description: Speech Dispatcher documentation in Czech
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains Czech documentation of Speech Dispatcher.

Package: speech-dispatcher-flite
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Speech Dispatcher: Flite output module
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the output module for the flite speech synthesizer.

Package: speech-dispatcher-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 libspeechd2 (= ${binary:Version}),
 speech-dispatcher (= ${binary:Version}),
 speech-dispatcher-festival (= ${binary:Version}),
 ${misc:Depends}
Description: Speech Dispatcher debugging symbols
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains the debugging symbols for Speech Dispatcher.

Package: speech-dispatcher-audio-plugins
Architecture: any
Multi-arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 multiarch-support
Breaks:
 speech-dispatcher (<< 0.8-1)
Replaces:
 speech-dispatcher (<< 0.8-1)
Description: Speech Dispatcher: Audio output plugins
 Speech Dispatcher provides a device independent layer for speech synthesis.
 It supports various software and hardware speech synthesizers as
 backends and provides a generic layer for synthesizing speech and
 playing back PCM data via those different backends to applications.
 .
 Various high level concepts like enqueueing vs. interrupting speech and
 application specific user configurations are implemented in a device
 independent way, therefore freeing the application programmer from
 having to yet again reinvent the wheel.
 .
 This package contains all the speech-dispatcher audio output plugins.

## speech-dispatcher 0.8.3

=== debian/changelog ===
speech-dispatcher (0.8.3-1ubuntu3) xenial; urgency=medium

  * Re-add support for libao and libaudio, these are in main, and we ship
    DVD sized images these days

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 19 Feb 2016 08:47:59 +1100

speech-dispatcher (0.8.3-1ubuntu2) xenial; urgency=medium

  * libspeechd-dev: Add a libspeechd_version.h symlink (fixing navit
    build failure).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 12:44:57 +0100

speech-dispatcher (0.8.3-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - Don't build depend on libaudio-dev or libao-dev, Ubuntu CD size is an
      issue, every little bit helps
    - debian/gbp.conf: Adjust for the Ubuntu git branch

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Feb 2016 12:30:52 +0100

speech-dispatcher (0.8.3-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * control: Add myself as uploader, drop multiarch pre-depend.
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Luke Yelavich ]
  * The speech-dispatcher user should not have a shell set (Closes: #678951)
  * New upstream release
  * Dropped patches, applied upstream:
    - configurable-module-dir.patch
    - cs-docs.patch
    - espeak-mbrola-generic.conf.patch
    - fdl.patch
    - fix_spelling_errors_reported_by_lintian.patch
    - infinite-loop.patch
    - pico-generic.patch
    - spd_audio-Expose-dlopened-library-s-symbols-to-libs-.patch
    - update_documentation_with_xdg_path.patch
  * Update copyright file
  * Add libsndfile1-dev build dependency
  * Update symbols
  * Cherry-pick some patches from upstream to fix pkg-config includedir issues
    and finding libspeechd_version.h

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Oct 2015 11:50:20 +0100

speech-dispatcher (0.8.3-0ubuntu2) wily; urgency=medium

  * Cherry-pick some patches from upstream to fix pkg-config includedir issues
    and finding libspeechd_version.h

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 23 Jul 2015 16:23:56 +1000

speech-dispatcher (0.8.3-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Update copyright file
  * Add libsndfile1-dev build dependency
  * Update symbols

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 23 Jun 2015 15:24:40 +1000

speech-dispatcher (0.8-9) unstable; urgency=medium

  * Do not make speech-dispatcher-contrib depend on pulseaudio, as libao works
    fine.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 28 Jul 2015 00:57:42 +0200

speech-dispatcher (0.8-8) unstable; urgency=medium

  * Team upload
  * Contrib upload, to introduce the speech-dispatcher-contrib binary package.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 06 Jul 2015 12:38:27 +0200

speech-dispatcher (0.8-7) unstable; urgency=medium

  * Team upload
  * Cherry-pick patches from upstream git to fix CVE-2014-1724
    (Closes: #745808)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 05 Dec 2014 09:06:54 +1100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
  dh-autoreconf,
  flite1-dev (>= 1.4),
  intltool,
+ libao-dev,
  libasound2-dev [linux-any],
+ libaudio-dev,
  libdotconf-dev (>= 1.3),
  libespeak-dev,
  libglib2.0-dev,
@@ -20,6 +22,8 @@
  libpulse-dev,
  libtool,
  libxau-dev,
+ libsndfile1-dev,
+# libttspico-dev,
  python3,
  texinfo
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tts/speech-dispatcher.git;a=summary
@@ -34,10 +38,11 @@
  adduser,
  lsb-base (>= 3.0-10),
  speech-dispatcher-audio-plugins (= ${binary:Version}),
+# pulseaudio,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- pulseaudio
+# pulseaudio
 Suggests:
  libttspico-utils,
  speech-dispatcher-doc-cs,
@@ -64,7 +69,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
- multiarch-support,
  ${misc:Pre-Depends}
 Description: Speech Dispatcher: Shared libraries
  Speech Dispatcher provides a device independent layer for speech synthesis.
@@ -246,7 +250,7 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Pre-Depends:
- multiarch-support
+ ${misc:Pre-Depends}
 Breaks:
  speech-dispatcher (<< 0.8-1)
 Replaces:

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
source=$(shell head -n 1 debian/changelog | cut -d ' ' -f 1)

%:
	dh $@ --with autoreconf,python3

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	                     --with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
	                     pidpath=/var/run/speech-dispatcher/

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

ifeq ($(source),speech-dispatcher)
override_dh_strip:
	dh_strip --dbg-package=speech-dispatcher-dbg

override_dh_installinit:
	dh_installinit -a --error-handler=true

override_dh_fixperms:
	dh_fixperms
	chmod 700 $(CURDIR)/debian/speech-dispatcher/var/log/speech-dispatcher

override_dh_makeshlibs:
	dh_makeshlibs -plibspeechd2
endif

# Switch to main rules
main:
	sed -i '1s/^Source: speech-dispatcher-contrib$$/Source: speech-dispatcher/' debian/control
	sed -i 's/ libttspico-dev/# libttspico-dev/' debian/control
	sed -i 's/Package: speech-dispatcher-contrib/Package: speech-dispatcher/' debian/control
	sed -i 's/# speech-dispatcher-audio-plugins/ speech-dispatcher-audio-plugins/' debian/control
	sed -i 's/ pulseaudio/# pulseaudio/' debian/control
	sed -i '/Package: libspeechd2/,$$s/^#*//' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control

# Switch to contrib rules
contrib:
	sed -i '1s/^Source: speech-dispatcher$$/Source: speech-dispatcher-contrib/' debian/control
	sed -i 's/# libttspico-dev/ libttspico-dev/' debian/control
	sed -i 's/Package: speech-dispatcher/Package: speech-dispatcher-contrib/' debian/control
	sed -i 's/ speech-dispatcher-audio-plugins/# speech-dispatcher-audio-plugins/' debian/control
	sed -i 's/# pulseaudio/ pulseaudio/' debian/control
	sed -i '/Package: libspeechd2/,$$s/^/#/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta)/~$1/ \
http://devel.freebsoft.org/pub/projects/speechd/ \
(?:|.*/)speech-dispatcher(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## speech-dispatcher 0.8.5

=== debian/changelog ===
speech-dispatcher (0.8.5-0ubuntu2) yakkety; urgency=medium

  * Check if /var/log/speech-dispatcher exists before changing the owner
    (LP: #1616302)

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 24 Aug 2016 15:59:45 +1000

speech-dispatcher (0.8.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 17 Aug 2016 15:34:29 +1000

speech-dispatcher (0.8.4-2ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - Moved the flite output module to a separate package, and added
      it to suggests, we don't want flite on the Ubuntu CD image
    - debian/gbp.conf: Adjust for the Ubuntu git branch

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 28 Jun 2016 15:01:35 +1000

speech-dispatcher (0.8.4-2) unstable; urgency=medium

  * Update set of compatibility symlinks (Closes: #827687)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Jun 2016 19:14:35 +0200

speech-dispatcher (0.8.4-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * rules: Clear.
  * rules: Set ddeb-migration.
  * control: Depend on debhelper 9.20150628 for ddeb-migration.
  * rules: Use dpkg-parsechangelog
  * control: Bump Standards-Version to 3.9.8 (no change).
  * patches/API-Try-to-find-libspeechd_version.h-in-the-include-.patch,
    build-Adjust-the-includedir-variable-to-point-to-the.patch: Drop, merged.

  [ Luke Yelavich ]
  * New upstream release
  * Patch from Santiago Vila to fix FTBFS when using dpkg-buildpackage -A
    (Closes: #806109)
  * Make sure the speech dispatcher user doesn't have a shell set for existing
    installations as well, thanks to Nicolas LE CAM for the suggestion
    (Closes: #678951)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 23 May 2016 00:01:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  automake,
  autotools-dev,
- debhelper (>= 9),
+ debhelper (>= 9.20150628),
  dh-autoreconf,
  flite1-dev (>= 1.4),
  intltool,
@@ -30,7 +30,7 @@
 Vcs-Git: git://anonscm.debian.org/tts/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
 X-Python-Version: >= 3.0
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: speech-dispatcher
 Architecture: any
@@ -38,7 +38,6 @@
  adduser,
  lsb-base (>= 3.0-10),
  speech-dispatcher-audio-plugins (= ${binary:Version}),
-# pulseaudio,
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -221,28 +220,6 @@
  .
  This package contains the output module for the flite speech synthesizer.
 
-Package: speech-dispatcher-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends:
- libspeechd2 (= ${binary:Version}),
- speech-dispatcher (= ${binary:Version}),
- speech-dispatcher-festival (= ${binary:Version}),
- ${misc:Depends}
-Description: Speech Dispatcher debugging symbols
- Speech Dispatcher provides a device independent layer for speech synthesis.
- It supports various software and hardware speech synthesizers as
- backends and provides a generic layer for synthesizing speech and
- playing back PCM data via those different backends to applications.
- .
- Various high level concepts like enqueueing vs. interrupting speech and
- application specific user configurations are implemented in a device
- independent way, therefore freeing the application programmer from
- having to yet again reinvent the wheel.
- .
- This package contains the debugging symbols for Speech Dispatcher.
-
 Package: speech-dispatcher-audio-plugins
 Architecture: any
 Multi-arch: same

## speech-dispatcher 0.8.6

=== debian/changelog ===
speech-dispatcher (0.8.6-4+deb9u1) stretch; urgency=medium

  * patches/spd-conf: Fix spd-conf (Closes: #860898).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 08 Aug 2017 01:07:02 +0200

speech-dispatcher (0.8.6-4) unstable; urgency=medium

  * Fix stripped audio output of flite module (Closes: #856895).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Mar 2017 23:13:08 +0100

speech-dispatcher (0.8.6-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Relax dependency between speech-dispatcher and speech-dispatcher-contrib a
    bit: Require only same upstream version.  Avoids installability issues
    with binNMU (Closes: #854091).

  [ Luke Yelavich ]
  * Set the default output module to espeak-ng (Closes: #854106).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Feb 2017 10:59:22 +0100

speech-dispatcher (0.8.6-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release

 -- Samuel Thibault <sthibault@debian.org>  Tue, 10 Jan 2017 00:32:44 +0100

speech-dispatcher (0.8.5-6) unstable; urgency=medium

  * contrib: Make speech-dispatcher module packages depend on same version of
    speech-dispatcher, and replace old speech-dispatcher package. Fix
    speech-dispatcher-pico content.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Dec 2016 23:44:12 +0100

speech-dispatcher (0.8.5-5) unstable; urgency=medium

  [ Luke Yelavich ]
  * Split out cicero, espeak, espeak-ng, and flite modules into separate
    packages
  * Add speech-dispatcher-espeak-ng to the speech-dispatcher package
    recommends, and add all other synth module packages to suggests

  [ Samuel Thibault ]
  * Rename speech-dispatcher-contrib package into speech-dispatcher-pico.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Dec 2016 23:41:58 +0100

speech-dispatcher (0.8.5-4) unstable; urgency=medium

  * Fix installing the espeak-ng module.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 17 Nov 2016 01:20:03 +0100

speech-dispatcher (0.8.5-3) unstable; urgency=medium

  * Add espeak-ng support.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 10 Nov 2016 00:42:55 +0100

speech-dispatcher (0.8.5-2) unstable; urgency=medium

  * Restore recommandation of pulseaudio to fix speech after default
    installation.
  * speech-dispatcher.docs: Install documentation figures.
  * patches/doc-figures: Patch texinfo paths to figures into our doc path.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 09 Oct 2016 18:37:29 +0200

speech-dispatcher (0.8.5-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * debian/speech-dispatcher.postinst: Make sure /var/log/speech-dispatcher
    exists before changing the owner, just to be safe

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 22:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: speech-dispatcher
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
+Maintainer: Debian TTS Team <tts-project@lists.alioth.debian.org>
 Uploaders:
  Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
 Build-Depends:
@@ -16,7 +15,7 @@
  libasound2-dev [linux-any],
  libaudio-dev,
  libdotconf-dev (>= 1.3),
- libespeak-dev,
+ libespeak-dev, libespeak-ng-dev,
  libglib2.0-dev,
  libltdl-dev,
  libpulse-dev,
@@ -32,6 +31,28 @@
 X-Python-Version: >= 3.0
 Standards-Version: 3.9.8
 
+#Package: speech-dispatcher-pico
+#Architecture: any
+#Depends:
+# ${shlibs:Depends},
+# ${misc:Depends},
+# speech-dispatcher (>= ${source:Upstream-Version}),
+# speech-dispatcher (<< ${source:Upstream-Version}.0~)
+#Breaks: speech-dispatcher-contrib (<< 0.8.5-5)
+#Replaces: speech-dispatcher-contrib (<< 0.8.5-5)
+#Description: Speech Dispatcher: Pico output module
+# Speech Dispatcher provides a device independent layer for speech synthesis.
+# It supports various software and hardware speech synthesizers as
+# backends and provides a generic layer for synthesizing speech and
+# playing back PCM data via those different backends to applications.
+# .
+# Various high level concepts like enqueueing vs. interrupting speech and
+# application specific user configurations are implemented in a device
+# independent way, therefore freeing the application programmer from
+# having to yet again reinvent the wheel.
+# .
+# This package contains the output module for the pico speech synthesizer.
+#
 Package: speech-dispatcher
 Architecture: any
 Depends:
@@ -41,12 +62,15 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
-# pulseaudio
+ pulseaudio,
+ speech-dispatcher-espeak-ng
 Suggests:
  libttspico-utils,
  speech-dispatcher-doc-cs,
  speech-dispatcher-festival,
- speech-dispatcher-flite
+ speech-dispatcher-cicero,
+ speech-dispatcher-flite,
+ speech-dispatcher-espeak
 Description: Common interface to speech synthesizers
  Speech Dispatcher provides a device independent layer for speech synthesis.
  It supports various software and hardware speech synthesizers as
@@ -202,24 +226,6 @@
  .
  This package contains Czech documentation of Speech Dispatcher.
 
-Package: speech-dispatcher-flite
-Architecture: any
-Depends:
- ${shlibs:Depends},
- ${misc:Depends}
-Description: Speech Dispatcher: Flite output module
- Speech Dispatcher provides a device independent layer for speech synthesis.
- It supports various software and hardware speech synthesizers as
- backends and provides a generic layer for synthesizing speech and
- playing back PCM data via those different backends to applications.
- .
- Various high level concepts like enqueueing vs. interrupting speech and
- application specific user configurations are implemented in a device
- independent way, therefore freeing the application programmer from
- having to yet again reinvent the wheel.
- .
- This package contains the output module for the flite speech synthesizer.
-
 Package: speech-dispatcher-audio-plugins
 Architecture: any
 Multi-arch: same
@@ -244,3 +250,78 @@
  having to yet again reinvent the wheel.
  .
  This package contains all the speech-dispatcher audio output plugins.
+
+Package: speech-dispatcher-flite
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ speech-dispatcher (= ${binary:Version}),
+Breaks: speech-dispatcher (<< 0.8.5-5)
+Replaces: speech-dispatcher (<< 0.8.5-5)
+Description: Speech Dispatcher: Flite output module
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as
+ backends and provides a generic layer for synthesizing speech and
+ playing back PCM data via those different backends to applications.
+ .
+ Various high level concepts like enqueueing vs. interrupting speech and
+ application specific user configurations are implemented in a device
+ independent way, therefore freeing the application programmer from
+ having to yet again reinvent the wheel.
+ .
+ This package contains the output module for the flite speech synthesizer.
+
+Package: speech-dispatcher-cicero
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ speech-dispatcher (= ${binary:Version}),
+Breaks: speech-dispatcher (<< 0.8.5-5)
+Replaces: speech-dispatcher (<< 0.8.5-5)
+Description: Speech Dispatcher: Cicero output module
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as
+ backends and provides a generic layer for synthesizing speech and
+ playing back PCM data via those different backends to applications.
+ .
+ Various high level concepts like enqueueing vs. interrupting speech and
+ application specific user configurations are implemented in a device
+ independent way, therefore freeing the application programmer from
+ having to yet again reinvent the wheel.
+ .
+ This package contains the output module for the cicero speech synthesizer.
+
+Package: speech-dispatcher-espeak
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ speech-dispatcher (= ${binary:Version}),
+Breaks: speech-dispatcher (<< 0.8.5-5)
+Replaces: speech-dispatcher (<< 0.8.5-5)
+Description: Speech Dispatcher: Espeak output module
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as
+ backends and provides a generic layer for synthesizing speech and
+ playing back PCM data via those different backends to applications.
+ .
+ Various high level concepts like enqueueing vs. interrupting speech and
+ application specific user configurations are implemented in a device
+ independent way, therefore freeing the application programmer from
+ having to yet again reinvent the wheel.
+ .
+ This package contains the output module for the espeak speech synthesizer.
+
+Package: speech-dispatcher-espeak-ng
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+ speech-dispatcher (= ${binary:Version}),
+Breaks: speech-dispatcher (<< 0.8.5-5)
+Replaces: speech-dispatcher (<< 0.8.5-5)
+Description: Speech Dispatcher: Espeak-ng output module
+ Speech Dispatcher provides a device independent layer for speech synthesis.
+ It supports various software and hardware speech synthesizers as

=== debian/rules ===
#!/usr/bin/make -f

source=$(shell dpkg-parsechangelog -S Source)

%:
	dh $@ --with autoreconf,python3

override_dh_auto_configure:
	dh_auto_configure -- --with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
	                     pidpath=/var/run/speech-dispatcher/

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

ifeq ($(source),speech-dispatcher)
override_dh_strip:
	dh_strip --ddeb-migration='speech-dispatcher-dbg (<< 0.8.3-2~)'

override_dh_installinit:
	dh_installinit -a --error-handler=true

override_dh_fixperms-arch:
	dh_fixperms
	chmod 700 $(CURDIR)/debian/speech-dispatcher/var/log/speech-dispatcher

override_dh_makeshlibs:
	dh_makeshlibs -plibspeechd2
endif

# Switch to main rules
main:
	sed -i '1s/^speech-dispatcher-contrib /speech-dispatcher /' debian/changelog
	sed -i '1s/^Source: speech-dispatcher-contrib$$/Source: speech-dispatcher/' debian/control
	sed -i 's/^ libttspico-dev/# libttspico-dev/' debian/control
	sed -i '/Package: speech-dispatcher-pico/,/^$$/s/^/#/' debian/control
	sed -i '/Package: speech-dispatcher$$/,$$s/^#*//' debian/control
	sed -i 's_^Section: contrib/_Section: _' debian/control

# Switch to contrib rules
contrib:
	sed -i '1s/^speech-dispatcher /speech-dispatcher-contrib /' debian/changelog
	sed -i '1s/^Source: speech-dispatcher$$/Source: speech-dispatcher-contrib/' debian/control
	sed -i 's/^#* libttspico-dev/ libttspico-dev/' debian/control
	sed -i '/Package: speech-dispatcher-pico/,/^$$/s/^#*//' debian/control
	sed -i '/Package: speech-dispatcher$$/,$$s/^/#/' debian/control
	sed -i 's_^Section: \([^/]*\)$$_Section: contrib/\1_' debian/control

## speech-dispatcher 0.8.7

=== debian/changelog ===
speech-dispatcher (0.8.7-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Make sure to drop obsolete /etc/speech-dispatcher/clients/gnome-speech.conf
    conffile. (Closes: Bug#803536)
  * patches/spd-conf: Fix spd-conf (Closes: Bug#860898)
  * Use canonical anonscm vcs URL.
  * debian/speech-dispatcher.1: fix debugging output path (Closes: Bug#860889)

  [ Helmut Grohne ]
  * Demote python3 from Build-Depends to Build-Depends-Indep (Closes: #842674)

  [ Luke Yelavich ]
  * debian/speech-dispatcher-pico.install: Ship the configuration files
  * New upstream release
    patches/spd-conf: Dropped, applied upstream

  [ Paul Gevers ]
  * Team upload
  * patches/flite-strip-silence: Dropped, applied upstream
  * Build with dh_python3 to fix paths
  * Enable hardening
  * Fix syntax errors in d/copyright
  * Add fix-spelling-mistakes.patch
  * Add add-german-translation.patch (Closes: #863306) Thanks to Chris Leick

 -- Paul Gevers <elbrus@debian.org>  Fri, 14 Jul 2017 18:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -23,10 +23,12 @@
  libxau-dev,
  libsndfile1-dev,
 # libttspico-dev,
- python3,
  texinfo
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=tts/speech-dispatcher.git;a=summary
-Vcs-Git: git://anonscm.debian.org/tts/speech-dispatcher.git
+Build-Depends-Indep:
+ dh-python,
+ python3
+Vcs-Browser: https://anonscm.debian.org/git/tts/speech-dispatcher.git
+Vcs-Git: https://anonscm.debian.org/git/tts/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
 X-Python-Version: >= 3.0
 Standards-Version: 3.9.8

## speech-dispatcher 0.8.8

=== src/api/guile/Makefile ===
# Makefile for speechd-guile

# Copyright (C) 2004 Brailcom, o.p.s.
#
# Author: Milan Zamazal <pdm@brailcom.org>
#
# COPYRIGHT NOTICE
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.


prefix = /usr/local
INSTALL_PATH = $(prefix)/share/guile/site

CC = gcc
CFLAGS = -g -Wall

INSTALL_PROGRAM = install -m 755
INSTALL_DATA = install -m 644

PROGRAM = gssip

.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: $(PROGRAM).so $(PROGRAM).scm

$(PROGRAM).so: $(PROGRAM).c $(PROGRAM).x $(PROGRAM).h
	$(CC) $(CFLAGS) -shared -fPIC -o $@ $(PROGRAM).c -lguile -lspeechd

%.x: %.c
	guile-snarf -o $@ $<

%.scm: %.scm.in
	sed 's/%%path%%/$(subst /,\/,$(INSTALL_PATH))/' $< > $@

install: all
	mkdir -p $(INSTALL_PATH)
	$(INSTALL_PROGRAM) $(PROGRAM).so $(INSTALL_PATH)
	$(INSTALL_DATA) $(PROGRAM).scm $(INSTALL_PATH)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:
	rm -f *.scm *.so *.x

clean: mostlyclean

distclean: clean

maintainer-clean: distclean

TAGS:

info:

dvi:

dist:

check:

=== debian/changelog ===
speech-dispatcher (0.8.8-9) unstable; urgency=medium

  * cl-speech-dispatcher.{postinst,prerm}: Remove calls to
    {,un}register-common-lisp-source.
  * debian/control: Remove cl-speech-dispatcher's dependency on
    common-lisp-controller for real (Closes: Bug#911526).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Jan 2019 12:42:41 +0100

speech-dispatcher (0.8.8-8) unstable; urgency=medium

  * debian/speech-dispatcher-festival.README.Debian: Mention that
    /etc/init.d/festival has to be created, to run festival as a server
    (Closes: #774009).
  * debian/control: Make cl-speech-dispatcher depend on
    common-lisp-controller to get {,un}register-common-lisp-source.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Jan 2019 01:16:21 +0100

speech-dispatcher (0.8.8-7) unstable; urgency=medium

  * debian/speech-dispatcher.postinst: Do not try to remove
    /etc/default/speech-dispatcher when upgrading from version 0.8.8-4, it's
    already gone there.
  * debian/speech-dispatcher.maintscript: Fix version from which to remove
    /etc/speech-dispatcher/clients/gnome-speech.conf conffile. 0.8.7-1's
    upload missed versions 0.8.6-3 and 0.8.6-4 (Closes: #885598).
  * control: Bump Standards-Version to 4.2.0 (no changes).
  * control: Remove cl-speech-dispatcher's dependency on common-lisp-controller.
    (Closes: Bug#911526).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Nov 2018 01:01:31 +0100

speech-dispatcher (0.8.8-6) unstable; urgency=medium

  * control: Bump Standards-Version to 4.1.5 (no changes).
  * patches/pico-fallback: Make pico fallback to english when chosen voice is
    unavailable.
  * control: Mark libspeechd-dev Multi-Arch: same and speech-dispatcher-doc-cs
    Multi-Arch: foreign.
  * rules: Move back speech-dispatcher-contrib to contrib.
  * debian/speech-dispatcher.postinst: Do not call deb-systemd-helper on
    non-Linux where the service file is not installed (Closes: Bug#904860).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 29 Jul 2018 16:53:50 +0200

speech-dispatcher (0.8.8-5) unstable; urgency=low

  * speech-dispatcher.postinst: disable/enable speech-dispatcher after
    configuring defaults, for first-time installations (Closes: Bug#901960).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 Jun 2018 21:08:50 +0200

speech-dispatcher (0.8.8-4) unstable; urgency=medium

  * Fix build on non-Linux ports by processing speech-dispatcher.install
    through dh-exec.
  * debian/speech-dispatcher.logrotate: Avoid reloading speech-dispatcher if
    it is not running.
  * Remove defaults file to control daemon startup, update-rc.d must be used
    instead.  Bump debhelper and init-system-helpers dependencies accordingly.
  * Bump Standards-Version to 4.1.4.
  * control: Suggest espeak + mbrola for the espeak-mbrola-generic
    configuration.
  * control: Move dh-python to Build-Depends (Closes: Bug#901697).
  * speech-dispatcher.postinst: Do not chown -R /var/run/speech-dispatcher. Do
    not recurse for /var/log/speech-dispatcher.
  * speech-dispatcher.lintian-overrides: Silence warning about the two calls
    to update-rc.d.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 17 Jun 2018 14:51:14 +0200

speech-dispatcher (0.8.8-3) experimental; urgency=medium

  * Add systemd service file (Closes: Bug#890899).
    - control: Add systemd dependency
    - patches/systemd: Upstream patch.
    - patches/systemd-debian: Debian tweaks.
    - rules: Do not enable daemon by default.
    - speech-dispatcher.postinst: If daemon was previously enabled, enable
    the new systemd unit.
    - speech-dispatcher.tmpfile: Add /var/run links in systemd case.
    - speech-dispatcher.links: Make speech-dispatcher alias for service, so we
    don't generate sysv service any more.
  * speech-dispatcher.init: Also redirect .cache/speech-dispatcher/log to
    /var/log.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Mar 2018 19:04:02 +0100

speech-dispatcher (0.8.8-2) unstable; urgency=medium

  * Move speech-dispatcher-contrib to non-free so that it can be auto
    build. Philosophical this is not idea, but better than manually
    building. As the binary package already has a dependency on non-free,
    it doesn't change anything for the user.

 -- Paul Gevers <elbrus@debian.org>  Fri, 22 Dec 2017 11:20:53 +0100

speech-dispatcher (0.8.8-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * speech-dispatcher.logrotate: Use invoke-rc.d instead of /etc/init.d path.
  * control: Migrate priority to optional.
  * control: Make speech-dispatcher recommend sound-icons.

  [ Paul Gevers ]
  * New upstream release
  * control: Bump Standards-Version to 4.1.2
  * Bump debhelper compat level to 10

 -- Paul Gevers <elbrus@debian.org>  Fri, 15 Dec 2017 09:56:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Build-Depends:
  automake,
  autotools-dev,
- debhelper (>= 9.20150628),
- dh-autoreconf,
+ debhelper (>= 11.1), dh-exec,
+ dh-python,
  flite1-dev (>= 1.4),
  intltool,
  libao-dev,
@@ -23,15 +23,16 @@
  libxau-dev,
  libsndfile1-dev,
 # libttspico-dev,
- texinfo
+ texinfo,
+ systemd [linux-any]
 Build-Depends-Indep:
- dh-python,
  python3
 Vcs-Browser: https://anonscm.debian.org/git/tts/speech-dispatcher.git
 Vcs-Git: https://anonscm.debian.org/git/tts/speech-dispatcher.git
 Homepage: http://devel.freebsoft.org/speechd
 X-Python-Version: >= 3.0
-Standards-Version: 3.9.8
+XS-Autobuild: yes
+Standards-Version: 4.2.0
 
 #Package: speech-dispatcher-pico
 #Architecture: any
@@ -61,13 +62,17 @@
  adduser,
  lsb-base (>= 3.0-10),
  speech-dispatcher-audio-plugins (= ${binary:Version}),
+ init-system-helpers (>= 1.51),
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
  pulseaudio,
- speech-dispatcher-espeak-ng
+ speech-dispatcher-espeak-ng,
+ sound-icons
 Suggests:
  libttspico-utils,
+ espeak,
+ mbrola,
  speech-dispatcher-doc-cs,
  speech-dispatcher-festival,
  speech-dispatcher-cicero,
@@ -110,8 +115,8 @@
 
 Package: libspeechd-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Priority: extra
 Depends:
  libspeechd2 (= ${binary:Version}),
  ${misc:Depends}
@@ -134,10 +139,8 @@
 Package: cl-speech-dispatcher
 Architecture: all
 Section: lisp
-Priority: extra
 Depends:
  cl-regex,
- common-lisp-controller,
  ${misc:Depends}
 Description: Common Lisp interface to Speech Dispatcher
  Speech Dispatcher provides a device independent layer for speech synthesis.
@@ -156,7 +159,6 @@
 Package: python3-speechd
 Architecture: all
 Section: python
-Priority: extra
 Breaks:
  python-speechd
 Replaces:
@@ -209,8 +211,8 @@
 
 Package: speech-dispatcher-doc-cs
 Architecture: all
+Multi-Arch: foreign
 Section: doc
-Priority: extra
 Depends:
  ${misc:Depends}
 Suggests:
@@ -326,4 +328,3 @@
 Replaces: speech-dispatcher (<< 0.8.5-5)
 Description: Speech Dispatcher: Espeak-ng output module
  Speech Dispatcher provides a device independent layer for speech synthesis.
- It supports various software and hardware speech synthesizers as

=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,29 @@
 #!/usr/bin/make -f
 
-source=$(shell dpkg-parsechangelog -S Source)
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/pkg-info.mk
+
+# NAS is in universe in Ubuntu
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	NAS = --with-nas=no
+endif
 
 %:
-	dh $@ --with autoreconf,python3
+	dh $@ --with python3
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-module-bindir=\$${prefix}/lib/speech-dispatcher-modules \
-	                     pidpath=/var/run/speech-dispatcher/
+	                     pidpath=/var/run/speech-dispatcher/ $(NAS)
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
 
-ifeq ($(source),speech-dispatcher)
+ifeq ($(DEB_SOURCE),speech-dispatcher)
 override_dh_strip:
 	dh_strip --ddeb-migration='speech-dispatcher-dbg (<< 0.8.3-2~)'
 
 override_dh_installinit:
-	dh_installinit -a --error-handler=true
+	dh_installinit -a --error-handler=true --no-enable --no-start
 
 override_dh_fixperms-arch:
 	dh_fixperms
@@ -26,6 +32,9 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -plibspeechd2
 endif
+
+override_dh_systemd_enable:
+	dh_systemd_enable --no-enable
 
 # Switch to main rules
 main:
